<script lang='tsx'>
import { Component } from 'vue-property-decorator';
import IBIZBOOKWizardView_layoutBase from './ibizbookwizard-view-layout-base.vue';

import view_wizardpanel from '@widgets/ibizbook/guide-wizardpanel/guide-wizardpanel.vue';
// 基于 @VIEW/实体向导视图/VIEW.vue.ftl 生成

@Component({
    components: {
        view_wizardpanel, 
    },
    beforeRouteEnter: (to: any, from: any, next: any) => {
        next((vm: any) => {
            if(!Object.is(vm.navModel,"route")){
                vm.initNavDataWithTab(vm.viewCacheData);
            }
            vm.$store.commit('addCurPageViewtag', { fullPath: to.fullPath, viewtag: vm.viewtag });
        });
    },
})
export default class IBIZBOOKWizardView_layout extends IBIZBOOKWizardView_layoutBase {

}
</script>